Bug 134884 - Registration of a new RHEL3 computer is confusing.
Registration of a new RHEL3 computer is confusing.
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Red Hat Satellite QA List
Depends On:
  Show dependency treegraph
Reported: 2004-10-06 19:37 EDT by Konstantin Olchanski
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:16:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Konstantin Olchanski 2004-10-06 19:37:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)

Description of problem:
At TRIUMF, we are almost exclusively a "Red Hat" linux shop (a mix of
7.x, 8.0, 9 and Fedora), but this is my first exposure to the RH
"Enterprise 3" linux, and I see a problem with registering a brand new
Dell machine with the RHN. This is what happens:

After booting the brand new Dell machine (RHEL3 preinstalled by Dell)
and logging in as root, I click on the blinking red "!" RHN icon. The
RHN applet starts up and nicely guides me through "do this, do that"
screens, contacts RHN, logs into my RHN account, registers my system,

All good, until I hit a dead end: an "up2date registration" screen
sais "This system has been successfully registered, but the channel
subscriptions were exhausted" and the "Forward >" button is grayed
out. Dead end: no gui buttons to push except "Cancel" and "< Back"; no
visible instructions on what to do next.

Now, I am holding in my hands my "Red Hat(R) Service Activation Card"
with the 16 hex digit "Product ID" printed on it, but what do I do
with it?!? How do I tell RHN "here is my subscription entitlement!" ?!?

I expected that the RHN registration gui would eventually ask me
"please enter your activation key here: ", but it did not.

The printed text on the "activation card" does not have any activation
instructions either.

This failure of the first-impression "user interface" and "user
experience" is very bad and should be fixed ASAP (Why? Read up Nielsen
at http://www.useit.com).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Buy a RHEL3WS kit
2. Install it on a new box
3. Try to register

Actual Results:  Cannot register with RHN: RHN thinks that my RHEL3 is

Expected Results:  RHN registration process should ask me for the
"product activation ID" and register my subscription entitlement.

Additional info:
Comment 1 Lee Whatley 2004-10-07 16:55:36 EDT
FWIW you can go to http://www.redhat.com/now and enter the activation
code before you try to register the new system with rhn and it should
Comment 2 RHEL Product and Program Management 2007-10-19 15:16:45 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.